<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="proxy" id="bytes-by-result_src_code" charttype="bars">

 <lire:title>Bytes by Object's Source</lire:title>
 <lire:description>
  <para>This report shows the number of bytes transferred from each
   source (Internet, Parent or sibling cache, etc.). This report is
   useful to analyze the performance of your array.
  </para>
 </lire:description>

 <lire:display-spec>
  <lire:title>Bytes by Object's Source</lire:title>
  <lire:description>
   <para>Some explanation about common codes:
    <variablelist>
     <varlistentry>
      <term><constant>DIRECT</constant></term>
      <listitem>
       <para>This means that the object was fetched from the object's
	origin, i.e. usually the Internet's server.
       </para>
      </listitem>
     </varlistentry>
     <varlistentry>
      <term><constant>NONE</constant></term>
      <listitem>
       <para>This usually means that the object was returned from the local
	cache.
       </para>
      </listitem>
     </varlistentry>
    </variablelist>
    Other codes usually refers to the cache's hierarchy.
   </para>
  </lire:description>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-vol_total">
   <lire:field name="result_src_code"/>

   <lire:sum name="vol_total" field="bytes" label="Bytes"/>
   <lire:sum name="vol_ratio" field="bytes" ratio="table" label="% Total"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
$Id: bytes-by-result_src_code.xml,v 1.2 2002/11/14 16:32:30 flacoste Exp $
Keep this comment at the end of the file
Local variables:
mode: xml
-->
